Retrieve a Hub
curl --request GET \
--url https://platform.versori.com/api/embedded/v1/hubs/{hub_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/embedded/v1/hubs/{hub_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/embedded/v1/hubs/{hub_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"primaryConnector": {
"connectorId": "<string>",
"name": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"imageUrl": "<string>",
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"isDefault": true
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Hubs
Retrieve a Hub
GetHub returns the Hub for the given ID.
GET
/
hubs
/
{hub_id}
Retrieve a Hub
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
A Hub description
The ID of the Hub
The name of the Hub
PrimaryConnector is the connector that the Hub is built around.
Show child attributes
Show child attributes
IsDefault indicates whether this Hub is the default Hub for the organisation. Only one Hub can be the default Hub for an organisation.
⌘I